Bug 101563 - pam src rpm BuildRequires flex
pam src rpm BuildRequires flex
Product: Red Hat Linux Beta
Classification: Retired
Component: pam (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Jay Turner
Depends On:
Blocks: CambridgeTarget
  Show dependency treegraph
Reported: 2003-08-03 19:25 EDT by Leonard den Ottolander
Modified: 2015-01-07 19:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-01-08 00:01:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Leonard den Ottolander 2003-08-03 19:25:39 EDT
Description of problem:

The pam src is missing a BuildRequires for flex.

Version-Release number of selected component (if applicable):


How reproducible:

# rpm -e flex
# rpmbuild -ba pam.spec
Build fails
# rpm -i flex-2.5.4a-30.i386.rpm
# rpm -ba pam.spec
Build succeeds


Add a BuildRequires for flex to the SPEC file.
Comment 1 Leonard den Ottolander 2003-09-10 20:32:10 EDT
pam-0.77.3 still BuildRequires flex.
Comment 2 Nalin Dahyabhai 2003-10-23 14:18:43 EDT
Fixing in 0.77-15.
Comment 3 Leonard den Ottolander 2003-12-31 08:28:04 EST
The My Bugs page tells me:

Open Issues: Retest (you reported this issue, it is now resolved and
you should verify it)

101563  Red Hat Linux Beta  MODIFIED  normal  pam src rpm
BuildRequires flex

As flex is added as a BuildPrereq to the SPEC file I see no need not
to close this bug. Or am I expected to close the bug myself?
Comment 4 Nalin Dahyabhai 2004-01-08 00:01:37 EST
MODIFIED typically means "waiting for independent verification", at
which point AFAIK anyone can close it.  Since you say it's fixed, I'll
close it.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.